play.inject

## Class DefaultBeanSource

- java.lang.Object
- - play.inject.DefaultBeanSource

All Implemented Interfaces:
  BeanSource

    public class DefaultBeanSource
    extends java.lang.Object
    implements BeanSource

### Constructor Summary

Constructors
Constructor and Description
`DefaultBeanSource()`

### Method Summary

All Methods Instance Methods Concrete Methods
`<T> T` `getBeanOfType(java.lang.Class<T> clazz)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultBeanSource

    public DefaultBeanSource()

### Method Detail

#### getBeanOfType

    public <T> T getBeanOfType(java.lang.Class<T> clazz)

Specified by:
  `getBeanOfType` in interface `BeanSource`